lsp-plugins (1.2.27-0.1~mx25+1) mx; urgency=medium

  * New upstream version 1.2.27

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Mar 2026 21:02:29 -0700

lsp-plugins (1.2.26-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Always export ARCHITECTURE. (Closes: #1124709)
  * Fix host vs target confusion.
  * Avoid use of shell in d/rules.

  [ Dennis Braun ]
  * d/rules: Remove unsupported architectures

 -- Dennis Braun <snd@debian.org>  Wed, 07 Jan 2026 19:51:27 +0100

lsp-plugins (1.2.26-1) unstable; urgency=medium

  * Team upload

  [ Erich Eickmeyer ]
  * New upstream version 1.2.26

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1120808)
    + Pass triplet-prefixed tools and CROSS_COMPILE to configure.
    + Pass a triplet-prefixed compiler to make install.
    + Add missing native build dependencies.

  [ Dennis Braun ]
  * Bump Standards-Version to 4.7.3

 -- Dennis Braun <snd@debian.org>  Fri, 26 Dec 2025 14:52:18 +0100

lsp-plugins (1.2.25-1) unstable; urgency=medium

  * New upstream version 1.2.25
  * Remove patches applied by upstream
  * Remove redudant rules-requires-root-no field

 -- Dennis Braun <snd@debian.org>  Sun, 09 Nov 2025 23:29:12 +0100

lsp-plugins (1.2.21-5) unstable; urgency=medium

  * Use unsupported-architecture as B-D for unsupported architectures,
    instead of listing the supported archs under Architecture
  * Refresh URLs for upstream metadata file

 -- Dennis Braun <snd@debian.org>  Thu, 01 May 2025 00:09:57 +0200

lsp-plugins (1.2.21-4) unstable; urgency=medium

  * Reduce the supported architectures (No armel and hurd-* support for now)
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 14 Apr 2025 11:21:42 +0200

lsp-plugins (1.2.21-3) unstable; urgency=medium

  * Refresh patchset, try to fix i386 and armel build

 -- Dennis Braun <snd@debian.org>  Sat, 12 Apr 2025 11:30:26 +0200

lsp-plugins (1.2.21-2) unstable; urgency=medium

  [ Erich Eickmeyer ]
  * Bring back lsp-plugins-r3d-glx package (Closes: #1101028)

  [ Dennis Braun ]
  * Bump Standards-Version to 4.7.2
  * Fix segfault with jack plugins (Closes: #1102592)
  * Apply wrap-and-sort -ast

 -- Dennis Braun <snd@debian.org>  Thu, 10 Apr 2025 23:43:40 +0200

lsp-plugins (1.2.21-1) unstable; urgency=medium

  * New upstream version 1.2.21

 -- Dennis Braun <snd@debian.org>  Sun, 09 Mar 2025 19:33:29 +0100

lsp-plugins (1.2.20-1) experimental; urgency=medium

  * New upstream version 1.2.20
  * Drop obsolete lsp-plugins-r3d-glx package
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Sat, 04 Jan 2025 22:09:21 +0100

lsp-plugins (1.2.16-1) unstable; urgency=medium

  * New upstream version 1.2.16
  * Bump Standards-Version to 4.7.0

 -- Dennis Braun <snd@debian.org>  Sat, 15 Jun 2024 13:37:04 +0200

lsp-plugins (1.2.15-2) unstable; urgency=medium

  * Source-only upload

 -- Dennis Braun <snd@debian.org>  Sat, 09 Mar 2024 12:06:13 +0100

lsp-plugins (1.2.15-1) unstable; urgency=medium

  * New upstream version 1.2.15
  * Provide the new package lsp-plugins-vst3
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Thu, 07 Mar 2024 20:24:26 +0100

lsp-plugins (1.2.14-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Update sadko4u -> lsp-plugins group
  * New upstream release.
    - fixes bug in arm64 msmatrix code (Closes: #1058672)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 23 Dec 2023 21:08:01 +0100

lsp-plugins (1.2.13-1) unstable; urgency=medium

  * New upstream version 1.2.13
    + Fix comp-delay segfault on startup (Closes: #1054194)

 -- Dennis Braun <snd@debian.org>  Wed, 01 Nov 2023 20:05:34 +0100

lsp-plugins (1.2.11-1) unstable; urgency=medium

  * New upstream version 1.2.11
  * Clean modified files after source build (Closes: #1048913)
  * Mention that the hurd build still not work

 -- Dennis Braun <snd@debian.org>  Fri, 15 Sep 2023 22:09:04 +0200

lsp-plugins (1.2.10-1) unstable; urgency=medium

  * New upstream version 1.2.10

 -- Dennis Braun <snd@debian.org>  Wed, 23 Aug 2023 20:55:44 +0200

lsp-plugins (1.2.8-1) unstable; urgency=medium

  * New upstream version 1.2.8
  * Drop patches applied by upstream
  * Provide the CLAP package of lsp-plugins
  * d/copyright: Fix path to lsp-3rd-party ladspa

 -- Dennis Braun <snd@debian.org>  Thu, 27 Jul 2023 11:03:28 +0200

lsp-plugins (1.2.5-7) unstable; urgency=high

  * Refresh patchset again with upstream patches
  * d/rules: Define arm64 architecture and sort order
  * Fix typos

 -- Dennis Braun <snd@debian.org>  Thu, 09 Mar 2023 20:07:14 +0100

lsp-plugins (1.2.5-6) unstable; urgency=high

  * Bring the previous dependencies build patch back

 -- Dennis Braun <snd@debian.org>  Wed, 08 Mar 2023 06:14:33 +0100

lsp-plugins (1.2.5-5) unstable; urgency=high

  * Refresh d/lsp-plugins-*.lintian-overrides
  * d/rules:
    * Use 'execute_before_dh_auto_configure'
    * Override ARCHITECTURE and CFLAGS, drop arm patches
  * Refresh patchset, add new upstream patches to fix armel build

 -- Dennis Braun <snd@debian.org>  Tue, 07 Mar 2023 22:29:59 +0100

lsp-plugins (1.2.5-4) unstable; urgency=high

  * Use $(DEB_TARGET_ARCH) for armhf & armel to define architecture and cflags

 -- Dennis Braun <snd@debian.org>  Fri, 03 Mar 2023 23:26:59 +0100

lsp-plugins (1.2.5-3) unstable; urgency=high

  * Refresh patchset, add new armhf patch and bring hurd patch back for now

 -- Dennis Braun <snd@debian.org>  Wed, 01 Mar 2023 23:37:07 +0100

lsp-plugins (1.2.5-2) unstable; urgency=high

  * Refresh patchset
    + Apply patches by upstream to fix armel and dependencies build

 -- Dennis Braun <snd@debian.org>  Wed, 01 Mar 2023 20:05:20 +0100

lsp-plugins (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * Build verbose again
  * Change obsolete B-D libgl1-mesa-dev to libgl-dev

 -- Dennis Braun <snd@debian.org>  Sun, 29 Jan 2023 19:09:17 +0100

lsp-plugins (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * Fix d/watch regex
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Tue, 27 Dec 2022 20:10:06 +0100

lsp-plugins (1.2.3-2) unstable; urgency=medium

  * Add FPU for armhf build, fixes GCC11+ build
  * Add missing PATH_MAX for hurd-i386
  * Clean d/rules

 -- Dennis Braun <snd@debian.org>  Tue, 27 Dec 2022 09:57:48 +0100

lsp-plugins (1.2.3-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * d/control:
    - adds a Provides field to the vst binary package definition
  * d/copyright:
    - adds contact email + bump me
    - http -> https
    - "Files" field update
    - adds falktx

  [ Dennis Braun ]
  * Merge with 1.2.3-0ubuntu1 (Closes: #1016987)
  * Drop armel patch for now
  * Update lintian-overrides
  * Change my email address
  * Prefer libjack-dev over libjack-jackd2-dev
  * Bump Standards-Version to 4.6.2
  * Link with libatomic on architectures without built-in atomic
  * Build verbose?

 -- Dennis Braun <snd@debian.org>  Mon, 26 Dec 2022 21:18:17 +0100

lsp-plugins (1.2.3-0ubuntu1) kinetic; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 1.2.3
  * d/rules: dropped obsolete -std=c++98 requirement
  * d/not-installed: don't install header files

  [ Vladimir Sadovnikov ]
  * Updated compressor plugin bundles:
    - added negative boosting gain option in 'Boosting' mode.
  * Updated gate plugin bundles:
    - added negative gain option for ducking gateway option.
  * Assigned more correct names for sidechain types of
    dynamic processing plugins.
  * Introduced several workarounds for the support of UI by the OBS host.
  * Fixed build of i386 DSP code under FreeBSD with Clang compiler.
  * Several bugfixes in core libraries.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 07 Sep 2022 10:49:07 -0700

lsp-plugins (1.2.2-0ubuntu2) kinetic; urgency=medium

  * Build with riscv64

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 23 Jun 2022 06:49:47 -0700

lsp-plugins (1.2.2-0ubuntu1) kinetic; urgency=medium

  [ Dennis Braun ]
  * Drop spelling patch applied by upstream
  * Update installation rules, files and dirs
  * Refresh lintian-overrides
  * Refresh d/copyright file entries, update years, remove zlib license
  * Add salsa ci config
  * Update lintian-overrides

  [ Olivier Humbert ]
  * debian/control: typo fixes

  [ Erich Eickmeyer ]
  * New upstream version 1.2.2
  * Update d/copyright year
  * Update d/rules to build

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 22 Jun 2022 15:45:51 -0700

lsp-plugins (1.1.31-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/0003: Try to add proper armel support (armv5te).

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Jun 2022 10:36:43 -0400

lsp-plugins (1.1.31-2) unstable; urgency=high

  * Team upload.
  * Apply patch from Ubuntu:

  [ Steve Langasek ]
  * export VERBOSE=1 in debian/rules; opaque build systems in build logs
    are evil.
  * debian/patches/use-fp-for-arm.patch: use the correct machine target
    for armhf builds.  Closes: #1003904.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jun 2022 20:41:33 -0400

lsp-plugins (1.1.31-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: Use the host arch ld and pkg-config.
    (Closes: #1000305)

  [ Dennis Braun ]
  * New upstream version 1.1.31
  * Update lintian-overrides
  * Update d/lsp-plugins-vst.links

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 27 Dec 2021 22:30:32 +0100

lsp-plugins (1.1.30-1) unstable; urgency=medium

  * Provide the lsp-plugins-r3d-glx package,
    to get rid of lsp-plugins-jack dependency.
    All 123 desktop files/icons were in desktop menu even if only the lv2 or
    vst plugins should be installed, because the lsp-plugins-jack was a
    dependency for the lv2 and vst plugins.
  * d/control: Bump S-V to 4.6.0.1, no changes needed
  * d/control: Re-add Debian Multimedia Team as Maintainer
  * Install the desktop files again with the jack package
  * Simplify lsp-plugins-jack.lintian-overrides
  * Update d/lsp-plugins-vst.links

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 Aug 2021 12:50:50 +0200

lsp-plugins (1.1.30-0ubuntu2) impish; urgency=medium

  * Remove /etc/xdg from install

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 09 Jun 2021 17:37:00 -0700

lsp-plugins (1.1.30-0ubuntu1) impish; urgency=medium

  * New upstream version 1.1.30
  * Implemented Oscilloscope plugin series: x1, x2 and x4. UX design by Bor T.
  * Added data streaming port support to plugin framework.
  * Added strobe feature to mesh primitives that allows to draw
    multiple streamed meshes together.
  * Implemented 4-lobe Lanczos oversampling DSP functions for i586
    architecture.
  * Implemented 4-lobe Lanczos oversampling DSP functions for x86_64
    architecture.
  * Implemented 4-lobe Lanczos oversampling DSP functions for 32-bit ARM
    architecture.
  * Implemented 4-lobe Lanczos oversampling DSP functions for 64-bit ARM
    architecture.
  * Minor bugfixes in the core library.
  * Fixed bug with character set encoding for several systems with limited
    iconv.
  * Fixed latency compensation issue that happened for the 'Bypass'
    switch/automation.
  * Implemented additional 'Boosting' mode for the single-band compressor
    plugin series.
  * Implemented additional 'Boosting' mode for the multiband-band compressor
    plugin series.
  * Updated french translations (contributed by Olivier Humbert).
  * Updated italian translations by Stefano Tronci.
  * Desktop icon installation moved to a separate 'install_xdg' icon to
    prevent LSP icon flooding for several systems which don't support XDG
    standard.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 09 Jun 2021 17:04:47 -0700

lsp-plugins (1.1.29-1) unstable; urgency=medium

  * New upstream version 1.1.29
  * Update d/lsp-plugins-vst.links

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 21 Jan 2021 16:32:20 +0100

lsp-plugins (1.1.28-1) unstable; urgency=medium

  * New upstream version 1.1.28
  * Mark test as superficial
  * Bump S-V to 4.5.1, no changes needed
  * Update lsp-plugins-vst.links
  * Update lintian-overrides
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 23 Dec 2020 20:43:44 +0100

lsp-plugins (1.1.26-1) unstable; urgency=medium

  * New upstream version 1.1.26
  * Simple test that calls the help for all 118 jack plugins
  * Update lsp-plugins-vst.links

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 18 Sep 2020 13:09:00 +0200

lsp-plugins (1.1.24-2) unstable; urgency=medium

  * Add Breaks and Replaces to lsp-plugins-jack
    + Fixes a bug in ubuntu (LP: #1888684)

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 27 Aug 2020 22:03:11 +0200

lsp-plugins (1.1.24-1) unstable; urgency=medium

  * New upstream version 1.1.24
  * Update lsp-plugins-vst.links
  * Add lintian overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 20 Jul 2020 19:03:30 +0200

lsp-plugins (1.1.22-1) unstable; urgency=medium

  * New upstream version 1.1.22
  * Update lsp-plugins-vst.links
  * Update d/copyright year
  * Bump dh-compat to 13

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 24 Jun 2020 16:22:54 +0200

lsp-plugins (1.1.17-1) unstable; urgency=medium

  * New upstream version 1.1.17
  * Drop patches, applied by upstream
  * Add missing licenses to d/copyright
  * Update lsp-plugins-vst.links
  * Install /etc/xdg/

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 09 Apr 2020 19:03:13 +0200

lsp-plugins (1.1.13-1) unstable; urgency=medium

  [Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1
  * d/control: Add Vcs-* field

  [ Erich Eickmeyer ]
  * Update control / Maintainer

  [ Dennis Braun ]
  * Initial release for debian (Closes: #931347)
  * d/control:
    + Build any arch
    + Update description
    + Add me as uploader
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Use https protocol for homepage
    + Set RRR: no
  * d/copyright:
    + Update http > https URLS
    + Update copyright year
  * Fix spelling error in src/metadata/limiter.cpp
  * Link lsp-plugins-r3d-glx.so rather then copy it triple
    + Make lsp-plugins-lv2 and lsp-plugins-vst depend on lsp-plugins-jack

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 11 Mar 2020 22:13:24 +0100

lsp-plugins (1.1.13-0ubuntu1) focal; urgency=medium

  * New upstream version 1.1.13 (hotfix)

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 23 Dec 2019 22:25:13 -0800

lsp-plugins (1.1.11-0ubuntu1) focal; urgency=medium

  * New upstream version 1.1.11

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 21 Dec 2019 12:48:34 -0800

lsp-plugins (1.1.10-0ubuntu1) eoan; urgency=medium

  * New upstream version 1.1.10
  * Removed unnecessary patches

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 22 Jul 2019 17:25:02 -0700

lsp-plugins (1.1.9-0ubuntu2) eoan; urgency=medium

  * Disabled test build
  * Cleanup rules file to allow multiple architectures

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 04 Jun 2019 12:54:49 -0700

lsp-plugins (1.1.9-0ubuntu1) eoan; urgency=medium

  * Initial Release for Ubuntu (LP: #1827288)
  * Bump Standards and Debhelper
  * Split plugin types to separate packages
  * Add upstream metadata

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Wed, 01 May 2019 15:02:15 -0700

lsp-plugins (1.1.7-0kxstudio4) trusty; urgency=medium

  * Import package
  * Build with static libs
  * Build with our custom flags

 -- falkTX <falktx@gmail.com>  Thu, 21 Mar 2019 15:42:04 +0100

lsp-plugins (1.1.4-0librazik2) stretch; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK2.
    - construction pour le 32 bits également.
  * debian/rules :
    - ajout d'un traitement différencié s'il s'agit d'une construction 64 ou 32
      bits.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Thu, 01 Nov 2018 12:24:51 +0100

lsp-plugins (1.1.4-0librazik1) stretch; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK2.
    - nouvelle version amont.
  * debian/control :
    - dépendances de construction :
      + ajout de "libglu1-mesa-dev" et de "libgl1-mesa-dev".
    - description :
      + 2017 -> 2018.
      + ajout d'une ligne signifiant qu'il y a d'autres greffons inclus à
        présent.
  * debian/copyright :
    - Vladimir Sadovnikov : 2016-2017 -> 2016-2018.
    - Olivier Humbert : 2016-2017 -> 2016-2018.
  * debian/patches/3000-build_fixes.patch :
    - mise à jour de la rustine (à la main).
  * debian/patches/series :
    - mise en commentaire des rustines :
      + 3010-traduction_FR_communs.patch
      + 3011-traduction_FR_comp_delay_mono.patch
      + 3012-traduction_FR_comp_delay_stereo.patch
      + 3013-traduction_FR_comp_delay_x2_stereo.patch
      + 3014-traduction_FR_phase_detector.patch
  * debian/watch :
    - création du fichier.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 31 Oct 2018 19:18:17 +0100

lsp-plugins (1.0.2-0librazik1) stretch; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK2.
  * debian/compat :
    - passage de 9 à 10
  * debian/control :
    - dépendance de construction :
      + debhelper : passage de (>= 9) à (>= 10).
      + passage de "libjack-dev," à "libjack-jackd2-dev | libjack-dev".
      + ajout de "libstdc++-6-dev".
      + ajout de "php7.0-cli".
      + ajout de "libgtk-3-dev".
    - description :
      + lien de documentation : adaptation pour LZK2.
      + 2016 -> 2017.
      + ajout de "Phase Detector".
  * debian/copyright :
    - Olivier Humbert : 2016 -> 2016-2017
    - Vladimir Sadovnikov : 2016 -> 2016-2017.
  * debian/rules :
    - suppression du "--parallel" inutile avec debhelper 10.
  * debian/patches/3000-build_fixes.patch :
    - mise à jour de la rustine (à la main).
  * debian/patches/301X-traductions_FR* :
    - séparation de la rustine "pour tous" en "une rustine par greffon".
    - mise à jour des rustines de traductions.
    - ajout d'une rustine de traduction pour le détecteur de phase.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 06 Sep 2017 16:56:55 +0200

lsp-plugins (1.0.0-0librazik2) jessie; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK.
    - traduction de l'interface graphique.
  * debian/patches/3001-traduction_FR.patch :
    - création de la rustine (avec dquilt).
  * debian/patches/series :
    - création du fichier (avec dquilt).

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 23 Nov 2016 23:48:01 +0100

lsp-plugins (1.0.0-0librazik1) jessie; urgency=medium

  * Construction initiale avec pbuilder pour LibraZiK.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 23 Nov 2016 03:02:47 +0100
